<div style="margin-bottom: 10px">
  <nz-avatar *ngIf="!avatar" [nzShape]="'square'" [nzSize]="120" [nzIcon]="'user'" [nzSrc]="avatar"
    (click)="showModifyModal()">
  </nz-avatar>

  <div *ngIf="avatar">

    <img
      *ngIf="entityType === 'citizen' || entityType === 'army' || entityType === 'party' || entityType === 'organisation' || entityType === 'company' || entityType === 'newspaper'"
      class="country-flag" src="{{ avatar }}" style="height: auto;  width: 120px" />

    <img *ngIf="entityType === 'country'" class="country-flag" src="{{ avatar }}"
      style="height: auto; object-fit: cover; width: 170px" />

  </div>
</div>